<?php

namespace ModulesGarden\HostingQuotaNotifications\App\UI\TicketTemplates\Forms\EditSubPages;

use \ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\Forms\BaseForm;
use \ModulesGarden\HostingQuotaNotifications\Core\UI\Interfaces\AdminArea;
use \ModulesGarden\HostingQuotaNotifications\App\UI\TicketTemplates\Providers\TicketTemplatesLangsProvider;
use \ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\Forms\FormConstants;
use \ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\Forms\Fields\Hidden;

/**
 * Description of DeleteLangForm
 *
 * @author Artur Pilch <artur.pi@modulesgarden.com>
 */
class DeleteLangForm extends BaseForm implements AdminArea
{
    protected $id    = 'deleteLangForm';
    protected $name  = 'deleteLangForm';
    protected $title = 'deleteLangForm';

    
    public function initContent()
    {
        $this->setFormType(FormConstants::DELETE);
        $this->dataProvider = new TicketTemplatesLangsProvider();

        $this->setConfirmMessage('confirmLabelRemoval', ['title' => null]);

        $field = new Hidden();
        $field->setId('id');
        $field->setName('id');
        $this->addField($field);

        $this->loadDataToForm();
    }
}
